﻿using Syncfusion.WinForms.ListView;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        SfComboBox sfComboBox = new SfComboBox();
        List<string> list = new List<string>();

        public Form1()
        {
            InitializeComponent();
            //SfComboBox setting 
            sfComboBox.Size = new Size(200, 25);
            list.Add("Alaska");
            list.Add("Arizona");
            list.Add("Arkansas");
            list.Add("California");
            list.Add("Colorado");
            list.Add("Connecticut");
            list.Add("Delaware");
            list.Add("Florida");
            list.Add("Georgia");
            sfComboBox.DataSource = list;
            sfComboBox.TextBox.TextChanged += SfComboBox_TextChanged;
            this.Controls.Add(sfComboBox);
        }

        private void SfComboBox_TextChanged(object sender, EventArgs e)
        {
            bool IsMatched = false;
            var val = (sender as TextBox).Text;
            foreach(string value in this.sfComboBox.DropDownListView.View.DisplayItems)
            {
                if(value.Equals(val))
                {
                    IsMatched = true;
                }
            }
            if(!IsMatched)
            {
                this.errorProvider1.SetError(this.sfComboBox, "Searched Value is not present");
            }
            else
            {
                this.errorProvider1.Clear();
            }
        }
    }
}
